include "TCThriftIncentiveProgramRule.thrift"
include "ConsumerApp/IncentiveType.thrift"
include "TCThriftIncentiveFinanceDetail.thrift"


namespace cocoa TCThrift
namespace java com.truecar.mobile.thriftApi

struct Incentive {
	1:required i64 incentiveId,
	2:optional IncentiveType.IncentiveType incentiveType,
	3:optional i64 programAffinityGroupId,
	4:optional i64 groupAffiliationId,
	5:optional string name,
	6:optional string desc,
	7:optional i32 amountCents,		//	in cents
	8:optional string startDate,	//	ISO 8601 Date (####-##-##)
	9:optional string endDate,		//	ISO 8601 Date (####-##-##)
	10:optional bool isPreselected,
	11:optional bool isSummaryIncentive,
	12:optional bool canAffectPrice
	13:optional i64 makeId,
	14:optional i64 modelId,
	15:optional i64 trimId,
	16:optional i32 financeMethodId,
	17:optional i32 fundingSourceId,
	18:optional i32 dealershipId,
	19:optional list<TCThriftIncentiveProgramRule.IncentiveProgramRule> incentiveProgramRules,
	20:optional list<TCThriftIncentiveFinanceDetail.IncentiveFinanceDetail> incentiveFinanceDetails,
}
