include "../common/Monetary.thrift"

namespace cocoa TCThriftConsumerApp_
namespace java com.truecar.mobile.thrift.consumerapp

/**
 *	Single bucket for histogram data.
 */
struct Bucket {
	/**
	 *	Number of transactions in the bucket.
	 */
	1: required i32 transactionCount,
	
	/**
	 *	Minimum price value.
	 */
	2: required Monetary.UsdCents minimumPrice,
	
	/**
	 *	Maximum price value.
	 */
	3: required Monetary.UsdCents maximumPrice,
}
