include "TCThriftColor.thrift"
include "TCThriftIncentive.thrift"
include "TCThriftOption.thrift"

namespace cocoa TCThrift
namespace java com.truecar.mobile.thriftApi

struct Trim {
	1:required i64 id,
	2:optional string name,													//	not present if trim entity was not requested
	3:optional i32 invoiceCents,											//	not present if trim entity was not requested
	4:optional i32 msrpCents,												//	not present if trim entity was not requested
	5:optional list<TCThriftColor.Color> exteriorColors,					//	not present if entity lower in heirarchy was not requested
	6:optional list<TCThriftColor.Color> interiorColors,					//	not present if entity lower in heirarchy was not requested
	7:optional list<TCThriftIncentive.Incentive> incentives,				//	not present if entity lower in heirarchy was not requested
	8:optional list<TCThriftOption.Option> options,							//	not present if entity lower in heirarchy was not requested
}
